Datasets
Get dataset overview
Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.
GET
/
v2
/
team
/
datasets
/
{id}
/
overview
Get dataset overview
curl --request GET \
--url https://ai.data.cloud/api/v2/team/datasets/{id}/overview \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{id}/overview"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v2/team/datasets/{id}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"id": "dset-cm5axptyyxxx298",
"name": "sales_indicators_2024",
"description": "A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more",
"summary": "This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.",
"exploration_questions": [
"How does the booking price trend over time based on the BookingTimestamp?",
"How does the average booking price change with respect to the TravelDate?",
"Are there any significant outliers in the booking prices, and what might be causing them?",
"How does the average price vary between one-way and round-trip bookings?"
],
"keywords": [
"Travel Bookings",
"Booking Trends",
"Travel Agencies"
]
}
}Example request:
Example response:
curl --request GET \
--url https://ai.data.cloud/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf \
--header 'x-pd-api-key: <api-key>'
import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
200
{
"code": 0,
"data": {
"id": "dset-cm5axptyyxxx298",
"name": "sales_indicators_2024",
"description": "A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more",
"summary": "This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.",
"exploration_questions": [
"How does the booking price trend over time based on the BookingTimestamp?",
"How does the average booking price change with respect to the TravelDate?",
"Are there any significant outliers in the booking prices, and what might be causing them?",
"How does the average price vary between one-way and round-trip bookings?"
],
"keywords": [
"Travel Bookings",
"Booking Trends",
"Travel Agencies"
]
}
}
Authorizations
Headers
The trace ID you set in your system to trace this request. It can be up to 128 characters in length. If the request fails, you can provide it to the Powerdrill team to help with troubleshooting.
Path Parameters
The ID of the dataset for which you want to view details.
To check the datasets you have access to, call GET /v2/team/datasets.
Query Parameters
Your user ID, which uniquely identifies you within your team. To obtain your ID:
- If you're the team admin, refer to Check user information.
- If you're a system or virtual user, ask your team admin to check your user ID by referring to Check user information.
Response
200 - application/json
Status code. 0 indicates that the operation is successful. Otherwise, the operation fails. For error troubleshooting, refer to Error Codes.
Show child attributes
Show child attributes